#pragma once

#include <counter_session/capability.h>
#include <base/rpc_client.h>

namespace Counter { struct Session_client; }


struct Counter::Session_client : Genode::Rpc_client<Session>
{
	explicit Session_client(Session_capability session)
	: Genode::Rpc_client<Session>(session) { }

	void increment() override
	{
		call<Rpc_increment>();
	}

	Genode::uint64_t get() const override
	{
		return call<Rpc_get>();
	}
};

